Skip to main content
GET
/
dr
/
v1
/
doctor
/
{doctor_id}
Get Doctor profile
curl --request GET \
  --url https://api.eka.care/dr/v1/doctor/{doctor_id} \
  --header 'auth: <auth>'
import requests

url = "https://api.eka.care/dr/v1/doctor/{doctor_id}"

headers = {"auth": "<auth>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {auth: '<auth>'}};

fetch('https://api.eka.care/dr/v1/doctor/{doctor_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "1234567890",
  "profile": {
    "personal": {
      "salutation": "Dr.",
      "first_name": "Rahul",
      "middle_name": "",
      "last_name": "Kumar",
      "dob": "1970-01-01",
      "gender": "M",
      "pic": "https://a.eka.care/doctor-avatar/170062845263102"
    },
    "professional": {
      "active": true,
      "username": "dr-rahul-kumar-cardiologist",
      "about": "Dr. Rahul Kumar is a Cardiologist with 43 years of experience.",
      "language": [
        {
          "code": "en",
          "language": "English"
        }
      ],
      "degree": [
        {
          "name": "MBBS,MD",
          "branch_name": "",
          "college_name": "",
          "start_year": "",
          "end_year": ""
        }
      ],
      "major_speciality": {
        "name": "Cardiologist",
        "code": "CA"
      },
      "speciality": [
        {
          "name": "General Physician"
        },
        {
          "name": "Diabetologist"
        },
        {
          "name": "Allergy Specialist"
        }
      ],
      "clinics": [
        {
          "id": "1234567899876",
          "name": "Vagus Hospital & Health Services",
          "contacts": [
            {
              "name": "Phone",
              "number": "+91999999999"
            }
          ],
          "address": {
            "line1": "H No -122/a,, Pocket 2 back side of Yamaha 2 wheeler showroom., Pocket 2, Gate No :-2, nearest to Homeopathy clinic.",
            "city": "Delhi",
            "country": "India",
            "state": "Delhi",
            "pin": "110085"
          }
        }
      ],
      "default_clinic": "1234567899876"
    }
  }
}
{
"data": {},
"error": {
"code": "UNAUTHORIZED_ENTITY",
"message": "You are not authorized to view requisted resource Doctor"
}
}
{
"data": {},
"error": {
"code": "INVALID_DATA",
"message": "Doctor id entered is incorrect"
}
}

Headers

auth
string
required
Example:

"auth"

Path Parameters

doctor_id
string
required

Response

OK

id
string
required
profile
Profile1 · object
required
Example:
{
"personal": {
"salutation": "Dr.",
"first_name": "doctor",
"middle_name": "",
"last_name": "doctor",
"dob": "",
"gender": "M"
},
"professional": {
"active": true,
"about": "doctor doctor is a Cardiologist with 43 years of experience.",
"language": [{ "code": "en", "language": "English" }],
"degree": [
{
"name": "MD",
"branch_name": "",
"college_name": "",
"start_year": "",
"end_year": ""
}
],
"major_speciality": { "name": "Cardiologist", "code": "CA" },
"speciality": [
{ "name": "General Physician" },
{ "name": "Diabetologist" },
{ "name": "Allergy Specialist" }
],
"clinics": [
{
"id": "1234567899876",
"name": "Vagus Hospital & Health Services",
"contacts": [
{ "name": "Phone", "number": "+91999999999" }
],
"address": {
"line1": "H No -122/a,, Pocket 2 back side of Yamaha 2 wheeler showroom., Pocket 2, Gate No :-2, nearest to Homeopathy clinic.",
"city": "Delhi",
"country": "India",
"state": "Delhi",
"pin": "110085"
}
}
],
"default_clinic": "1234567899876"
}
}